Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.i18n.text
Class OraDecimalFormatSymbols

    java.lang.Object
      |
      +--oracle.i18n.text.OraDecimalFormatSymbols

All Implemented Interfaces:
  Cloneable, Serializable

public final class OraDecimalFormatSymbols
extends Object
implements Cloneable, Serializable

The `OraDecimalFormatSymbols` class is a class that maintains Oracle decimal format symbols such as decimal separator and currency symbols.

See Also:
  `OraDecimalFormat`, Serialized Form

Constructor Summary
`OraDecimalFormatSymbols()` Deprecated. As of Oracle Database 10g Release 2 (10.2), replaced by `OraDecimalFormatSymbols(Locale)`
`OraDecimalFormatSymbols(Locale locale)` Constructs an `OraDecimalFormatSymbols` object for the given locale.
`OraDecimalFormatSymbols(oracle.i18n.util.OraLocaleInfo localeInfo)` Constructs an `OraDecimalFormatSymbols` object for the given `OraLocaleInfo` object.

Method Summary
`Object` | `clone()` Overrides the `clone` method.
`boolean` | `equals(Object object)` Overrides the `equals` method.
`String` | `getCurrencySymbol()` Returns the local currency symbol for this object.
`char` | `getDecimalSeparator()` Returns the decimal separator for this object.
`char` | `getGroupingSeparator()` Returns the grouping separator for this object.
`String` | `getInternationalCurrencySymbol()` Returns the international currency symbol for this object.
`int` | `hashCode()` Overrides the `hashCode` method.
`void` | `setCurrencySymbol(String curSym)` Sets the local currency symbol to the given symbol for this object.
`void` | `setDecimalSeparator(char decSep)` Sets the decimal separator to the given symbol for this object.
`void` | `setGroupingSeparator(char groupSep)` Sets the grouping separator to the given symbol for this object.
`void` | `setInternationalCurrencySymbol(String intCurSym)` Sets the international currency symbol to the given symbol for this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OraDecimalFormatSymbols

    public OraDecimalFormatSymbols()

  Deprecated. As of Oracle Database 10g Release 2 (10.2), replaced by `OraDecimalFormatSymbols(Locale)`

  Constructs an `OraDecimalFormatSymbols` object for the default locale.

### OraDecimalFormatSymbols

    public OraDecimalFormatSymbols(Locale locale)

  Constructs an `OraDecimalFormatSymbols` object for the given locale.

Parameters:
  `locale` - the given locale

### OraDecimalFormatSymbols

    public OraDecimalFormatSymbols(oracle.i18n.util.OraLocaleInfo localeInfo)

  Constructs an `OraDecimalFormatSymbols` object for the given `OraLocaleInfo` object.

Parameters:
  `localeInfo` - the given `OraLocaleInfo` object

Method Detail

### getCurrencySymbol

    public String getCurrencySymbol()

  Returns the local currency symbol for this object.

  Returns:
    the local currency symbol

### setCurrencySymbol

    public void setCurrencySymbol(String curSym)

  Sets the local currency symbol to the given symbol for this object.

  Parameters:
    `curSym` - the given local currency symbol

### getDecimalSeparator

    public char getDecimalSeparator()

  Returns the decimal separator for this object.

  Returns:
    the decimal separator

### setDecimalSeparator

    public void setDecimalSeparator(char decSep)

  Sets the decimal separator to the given symbol for this object.

  Parameters:
    `decSep` - the given symbol

### getGroupingSeparator

    public char getGroupingSeparator()

  Returns the grouping separator for this object.

  Returns:
    the grouping separator

### setGroupingSeparator

    public void setGroupingSeparator(char groupSep)

  Sets the grouping separator to the given symbol for this object.

  Parameters:
    `groupSep` - the given symbol

### getInternationalCurrencySymbol

    public String getInternationalCurrencySymbol()

  Returns the international currency symbol for this object.

  Returns:
    the international currency symbol

### setInternationalCurrencySymbol

    public void setInternationalCurrencySymbol(String intCurSym)

  Sets the international currency symbol to the given symbol for this object.

  Parameters:
    `intCurSym` - the given international currency symbol

### clone

    public Object clone()

  Overrides the `clone` method.

  Overrides:
    `clone` in class `Object`
  Returns:
    a cloned object

### equals

    public boolean equals(Object object)

  Overrides the `equals` method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `object` - an object to be compared
  Returns:
    `true` if two objects are identical, otherwise `false`

### hashCode

    public int hashCode()

  Overrides the `hashCode` method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.